Name:          kahadb
Version:       5.6.0
Release:       1%{?dist}
Summary:       KahaDB
Group:         Development/Libraries
License:       ASL 2.0
URL:           http://activemq.apache.org
# git clone -b activemq-5.6.0 https://github.com/apache/activemq.git kahadb-5.6.0
# rm -rf kahadb-5.6.0/{activemq-*,assembly,etc}
# rm -f kahadb-5.6.0/pom.xml
# tar cJf kahadb-5.6.0.tar.xz kahadb-5.6.0
Source0:       kahadb-5.6.0.tar.xz

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-pmd-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-xbean-plugin
BuildRequires: activemq-parent
BuildRequires: activemq-protobuf
BuildRequires: activeio

Requires: jpackage-utils
Requires: java
Requires: activemq-protobuf
Requires: activeio

BuildArch: noarch


%description
A file based persistence database that is local to the message broker that
is using it. It has been optimised for fast persistence and is the the default
storage mechanism from ActiveMQ 5.4 onwards. KahaDB uses less file descriptors
and provides faster recovery than its predecessor, the AMQ Message Store.

%package javadoc
Group: Documentation
Summary: Javadoc for %{name}
Requires: jpackage-utils

%description javadoc
This package contains javadoc for %{name}

%prep

%setup -q -n %{name}-%{version}

chmod 644 LICENSE %{name}/README

%build
mvn-rpmbuild -f %{name}/pom.xml \
    -Dproject.build.sourceEncoding=UTF-8 \
    install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 %{name}/target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{name}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp %{name}/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc LICENSE %{name}/README
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}

%changelog
* Mon Sep 10 2012 Matt Spaulding <mspaulding06@gmail.com> - 5.6.0-1
- Initial RPM package

